# Uses of Interface
org.eclipse.ui.IWorkingSet

Packages that use IWorkingSet
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.views.markers.internal

## Uses of IWorkingSet in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return IWorkingSet
Modifier and Type
Method
Description
`static IWorkingSet`
RefreshTab.`getWorkingSet(String refreshAttribute)`
Creates and returns a working set from the given refresh attribute created by the method `getRefreshAttribute(IWorkingSet)`, or `null` if none.
Methods in org.eclipse.debug.ui with parameters of type IWorkingSet
Modifier and Type
Method
Description
`static String`
RefreshTab.`getRefreshAttribute(IWorkingSet workingSet)`
Creates and returns a memento for the given working set, to be used as a refresh attribute.

## Uses of IWorkingSet in org.eclipse.debug.ui.sourcelookup

Constructors in org.eclipse.debug.ui.sourcelookup with parameters of type IWorkingSet
Modifier
Constructor
Description
``
`WorkingSetSourceContainer(IWorkingSet workingSet)`
Creates a source container for the working set.

## Uses of IWorkingSet in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return IWorkingSet
Modifier and Type
Method
Description
`IWorkingSet[]`
ISearchPageContainer.`getSelectedWorkingSets()`
Returns the selected working sets of this container.
Methods in org.eclipse.search.ui with parameters of type IWorkingSet
Modifier and Type
Method
Description
`void`
ISearchPageContainer.`setSelectedWorkingSets(IWorkingSet[] workingSets)`
Sets the selected working sets of this container.

## Uses of IWorkingSet in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IWorkingSet
Modifier and Type
Method
Description
`IWorkingSet[]`
FileTextSearchScope.`getWorkingSets()`
Returns the working-sets that were used to configure this scope or `null` if the scope was not created off working sets.
Methods in org.eclipse.search.ui.text with parameters of type IWorkingSet
Modifier and Type
Method
Description
`abstract ISearchQuery`
TextSearchQueryProvider.`createQuery(String selectedText, IWorkingSet[] ws)`
Create a query to search for the selected text in the given working sets.
`static FileTextSearchScope`
FileTextSearchScope.`newSearchScope(IWorkingSet[] workingSets, String[] fileNamePatterns, boolean includeDerived)`
Returns a scope for the given working sets.

## Uses of IWorkingSet in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IWorkingSet
Modifier and Type
Method
Description
`protected void`
WorkingSetScope.`setWorkingSets(IWorkingSet[] sets)`
Initialize this working set scope with the provided working sets.
Constructors in org.eclipse.team.ui.synchronize with parameters of type IWorkingSet
Modifier
Constructor
Description
``
`WorkingSetScope(IWorkingSet[] sets)`
Create the scope for the working sets

## Uses of IWorkingSet in org.eclipse.ui

Subinterfaces of IWorkingSet in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IAggregateWorkingSet`
Contains a set of `IWorkingSet`.
Methods in org.eclipse.ui that return IWorkingSet
Modifier and Type
Method
Description
`IWorkingSet`
IWorkingSetManager.`createAggregateWorkingSet(String name, String label, IWorkingSet[] components)`
Create a working set that is the union of a collection of other working sets.
`IWorkingSet`
IWorkingSetManager.`createWorkingSet(String name, IAdaptable[] elements)`
Creates a new working set.
`IWorkingSet`
IWorkingSetManager.`createWorkingSet(IMemento memento)`
Re-creates and returns a working set from the state captured within the given memento.
`IWorkingSet`
IWorkbenchPage.`getAggregateWorkingSet()`
Return a working set that contains all of the elements contained in the array of working sets provided by `IWorkbenchPage.getWorkingSets()`.
`IWorkingSet[]`
IWorkingSetManager.`getAllWorkingSets()`
Returns an array of all working sets stored in the receiver including those that are marked as being not visible.
`IWorkingSet[]`
IAggregateWorkingSet.`getComponents()`
Returns the working sets contained in this aggregate working set.
`IWorkingSet[]`
IWorkingSetManager.`getRecentWorkingSets()`
Returns the list of most recently used working sets.
`IWorkingSet`
IWorkbenchPage.`getWorkingSet()`
Deprecated.
individual views should store a working set if needed
`IWorkingSet`
IWorkingSetManager.`getWorkingSet(String name)`
Returns the working set with the specified name.
`IWorkingSet`
ResourceWorkingSetFilter.`getWorkingSet()`
Returns the active working set the filter is working with.
`IWorkingSet[]`
IWorkbenchPage.`getWorkingSets()`
Return the visible working sets for this page.
`IWorkingSet[]`
IWorkingSetManager.`getWorkingSets()`
Returns an array of all working sets stored in the receiver.
Methods in org.eclipse.ui with parameters of type IWorkingSet
Modifier and Type
Method
Description
`IAdaptable[]`
BasicWorkingSetElementAdapter.`adaptElements(IWorkingSet ws, IAdaptable[] elements)`
When invoked this method will iterate over all classes specified as IExecutableExtension arguements to this class in order and compare with the elements.
`IAdaptable[]`
IWorkingSetElementAdapter.`adaptElements(IWorkingSet ws, IAdaptable[] elements)`
Converts the given elements for addition to/removal from the working set.
`void`
IWorkingSetUpdater.`add(IWorkingSet workingSet)`
Adds a working set to this updater.
`void`
IWorkingSetManager.`addRecentWorkingSet(IWorkingSet workingSet)`
Adds a working set to the top of the list of most recently used working sets, making it the most recently used working set.
`void`
IWorkingSetManager.`addToWorkingSets(IAdaptable element, IWorkingSet[] workingSets)`
Utility method that will add the `element` to each given working set in `workingSets` if possible.
`void`
IWorkingSetManager.`addWorkingSet(IWorkingSet workingSet)`
Adds a working set to the receiver.
`boolean`
IWorkingSetUpdater.`contains(IWorkingSet workingSet)`
Returns `true` if the updater contains the given working set; otherwise `false` is returned.
`IWorkingSet`
IWorkingSetManager.`createAggregateWorkingSet(String name, String label, IWorkingSet[] components)`
Create a working set that is the union of a collection of other working sets.
`IWorkingSetEditWizard`
IWorkingSetManager.`createWorkingSetEditWizard(IWorkingSet workingSet)`
Creates a working set edit wizard for the specified working set.
`boolean`
IWorkingSetUpdater2.`isManagingPersistenceOf(IWorkingSet set)`
Answers if the given working set content presistence is managed by this updater
`boolean`
IWorkingSetUpdater.`remove(IWorkingSet workingSet)`
Removes a working set from this updater.
`void`
IWorkingSetManager.`removeWorkingSet(IWorkingSet workingSet)`
Removes the working set
`IAdaptable[]`
IWorkingSetUpdater2.`restore(IWorkingSet set)`
Restores working set content if its persistence is managed by current updater
`void`
ResourceWorkingSetFilter.`setWorkingSet(IWorkingSet workingSet)`
Sets the active working set.
`void`
IWorkbenchPage.`setWorkingSets(IWorkingSet[] sets)`
Set the working sets for this page.

## Uses of IWorkingSet in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return IWorkingSet
Modifier and Type
Method
Description
`IWorkingSet`
WorkingSetFilterActionGroup.`getWorkingSet()`
Returns the working set which is currently selected.
Methods in org.eclipse.ui.actions with parameters of type IWorkingSet
Modifier and Type
Method
Description
`void`
WorkingSetFilterActionGroup.`setWorkingSet(IWorkingSet newWorkingSet)`
Sets the current working set.

## Uses of IWorkingSet in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return IWorkingSet
Modifier and Type
Method
Description
`static IWorkingSet[]`
WorkingSetConfigurationBlock.`filter(IWorkingSet[] workingSets, String[] workingSetIds)`
Filters the given working sets such that the following is true: for each IWorkingSet s in result: s.getId() is element of workingSetIds
`IWorkingSet[]`
WorkingSetConfigurationBlock.`findApplicableWorkingSets(IStructuredSelection selection)`
Retrieves a working set from the given `selection` or an empty array if no working set could be retrieved.
`IWorkingSet[]`
WizardNewProjectCreationPage.`getSelectedWorkingSets()`
Return the selected working sets, if any.
`IWorkingSet[]`
WorkingSetConfigurationBlock.`getSelectedWorkingSets()`
Return the currently selected working sets.
`IWorkingSet[]`
WorkingSetGroup.`getSelectedWorkingSets()`
Return the working sets selected by the contained `WorkingSetConfigurationBlock`.
`IWorkingSet`
IWorkingSetEditWizard.`getSelection()`
Returns the working set edited in the wizard.
`IWorkingSet`
IWorkingSetNewWizard.`getSelection()`
Returns the new working set.
`IWorkingSet`
IWorkingSetPage.`getSelection()`
Returns the working set edited or created on the page after the wizard has closed.
`IWorkingSet[]`
IWorkingSetSelectionDialog.`getSelection()`
Returns the working sets selected in the dialog or `null` if the dialog was canceled.
Methods in org.eclipse.ui.dialogs with parameters of type IWorkingSet
Modifier and Type
Method
Description
`static IWorkingSet[]`
WorkingSetConfigurationBlock.`filter(IWorkingSet[] workingSets, String[] workingSetIds)`
Filters the given working sets such that the following is true: for each IWorkingSet s in result: s.getId() is element of workingSetIds
`void`
IWorkingSetPage.`setSelection(IWorkingSet workingSet)`
Sets the working set edited on the page.
`void`
IWorkingSetSelectionDialog.`setSelection(IWorkingSet[] workingSets)`
Sets the working sets that are initially selected in the dialog.
`void`
WorkingSetConfigurationBlock.`setWorkingSets(IWorkingSet... workingSets)`
Set the current selection of working sets.

## Uses of IWorkingSet in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkingSet
Modifier and Type
Class
Description
`class`
`AbstractWorkingSet`
Abstract baseclass for IWorkingSet implementations.
`class`
`AggregateWorkingSet`
`class`
`WorkingSet`
A working set holds a number of IAdaptable elements.
Classes in org.eclipse.ui.internal that implement interfaces with type arguments of type IWorkingSet
Modifier and Type
Class
Description
`class`
`WorkingSetComparator`
Compares two working sets by name.
Methods in org.eclipse.ui.internal that return IWorkingSet
Modifier and Type
Method
Description
`IWorkingSet`
AbstractWorkingSetManager.`createAggregateWorkingSet(String name, String label, IWorkingSet[] components)`
`IWorkingSet`
AbstractWorkingSetManager.`createWorkingSet(String name, IAdaptable[] elements)`
`IWorkingSet`
AbstractWorkingSetManager.`createWorkingSet(IMemento memento)`
`IWorkingSet`
WorkbenchPage.`getAggregateWorkingSet()`
`IWorkingSet[]`
AbstractWorkingSetManager.`getAllWorkingSets()`
`IWorkingSet[]`
AggregateWorkingSet.`getComponents()`
Return the component working sets.
`IWorkingSet[]`
AbstractWorkingSetManager.`getRecentWorkingSets()`
`IWorkingSet`
AbstractWorkingSetManager.`getWorkingSet(String name)`
`IWorkingSet`
WorkbenchPage.`getWorkingSet()`
Deprecated.
individual views should store a working set if needed
`IWorkingSet[]`
AbstractWorkingSetManager.`getWorkingSets()`
`IWorkingSet[]`
WorkbenchPage.`getWorkingSets()`
`protected IWorkingSet`
AbstractWorkingSetManager.`restoreWorkingSet(IMemento memento)`
Recreates a working set from the persistence store.
Methods in org.eclipse.ui.internal with parameters of type IWorkingSet
Modifier and Type
Method
Description
`void`
LocalWorkingSetManager.`addRecentWorkingSet(IWorkingSet workingSet)`
Adds a working set to the top of the list of most recently used working sets, making it the most recently used working set.
`void`
WorkingSetManager.`addRecentWorkingSet(IWorkingSet workingSet)`
`void`
AbstractWorkingSetManager.`addToWorkingSets(IAdaptable element, IWorkingSet[] workingSets)`
`void`
AbstractWorkingSetManager.`addWorkingSet(IWorkingSet workingSet)`
`void`
WorkingSetManager.`addWorkingSet(IWorkingSet workingSet)`
`int`
WorkingSetComparator.`compare(IWorkingSet o1, IWorkingSet o2)`
Implements Comparator.
`IWorkingSet`
AbstractWorkingSetManager.`createAggregateWorkingSet(String name, String label, IWorkingSet[] components)`
`IWorkingSetEditWizard`
AbstractWorkingSetManager.`createWorkingSetEditWizard(IWorkingSet workingSet)`
`protected void`
AbstractWorkingSetManager.`internalAddRecentWorkingSet(IWorkingSet workingSet)`
Adds the specified working set to the list of recently used working sets.
`protected boolean`
AbstractWorkingSetManager.`internalRemoveWorkingSet(IWorkingSet workingSet)`
`void`
LocalWorkingSetManager.`removeWorkingSet(IWorkingSet workingSet)`
Removes the working set
`void`
WorkingSetManager.`removeWorkingSet(IWorkingSet workingSet)`
`void`
WorkbenchPage.`setWorkingSet(IWorkingSet newWorkingSet)`
Deprecated.
individual views should store a working set if needed
`void`
WorkbenchPage.`setWorkingSets(IWorkingSet[] newWorkingSets)`
`void`
AbstractWorkingSetManager.`workingSetChanged(IWorkingSet changedWorkingSet, String propertyChangeId, Object oldValue)`
Fires a property change event for the changed working set.
`void`
WorkingSetManager.`workingSetChanged(IWorkingSet changedWorkingSet, String propertyChangeId, Object oldValue)`
Persists all working sets and fires a property change event for the changed working set.
Constructors in org.eclipse.ui.internal with parameters of type IWorkingSet
Modifier
Constructor
Description
``
`AggregateWorkingSet(String name, String label, IWorkingSet[] components)`
``
`WorkingSetMenuContributionItem(int id, WorkingSetFilterActionGroup actionGroup, IWorkingSet workingSet)`
Creates a new instance of the receiver.

## Uses of IWorkingSet in org.eclipse.ui.views.markers.internal

Fields in org.eclipse.ui.views.markers.internal declared as IWorkingSet
Modifier and Type
Field
Description
`protected IWorkingSet`
MarkerFilter.`workingSet`